@charset "utf-8";
/* CSS Document */
<!--hase-css-->
.h_main {
	width: auto;
	height:auto;
	margin:auto;
	text-align:center;
	}
.h_botan {
	width:300px;
	height:201px;
	background-image: url(img/hase_img/01_w.jpg);
	margin:auto;
	}
.h_botan a:hover img{
	opacity: 0.3;
	filter: alpha(opacity=30);
	}
.h_botan2 {
	width:300px;
	height:201px;
	background-image: url(img/hase_img/02_w.jpg);
	margin:auto;
	}
.h_botan2 a:hover img{
	opacity: 0.3;
	filter: alpha(opacity=30);
	}
<!--hase-css-->

.head_b{
	margin: auto;
	width:300px;
	height:300px;
	}
.head_b ul{
	margin:auto;
	display:inline;
	padding:0px;
	}
.head_b ul li{
	padding:30px;
	float:left;
	list-style:none;
	vertical-align:central;
	}
.btn01 {
	margin:120px auto;
    color: #fff;
    text-decoration: none;
    text-align: center;
    position: relative;
    z-index: 10;
    display: block;
    width: 10px;
    height: 10px;
	}
 
.btn01::before {
    content: '';
    background-color: #fff;
    display: block;
    position: absolute;
    width: 10px;
    height: 10px;
    z-index: -1;
    border-radius: 50%;
    box-shadow:
        0 0 0 0 #333,
        0 0 0 3 #55C6A4;
    transition: all .5s ease;
    -webkit-transition: all .2s ease;
	border:#666 1px solid;
}
.btn01:hover::before {
    transform: scale(0.8);
    -webkit-transform: scale(0.8);
    box-shadow:
        0 0 0 5px #fff,
		0 0 0 10px #ecf5df,
		0 0 0 15px #e0f0ca,
        0 0 0 20px #d9efbc,
		0 0 0 25px #ceeaa8,
		0 0 0 30px #c7e99a,
		0 0 0 35px #bde588,
		0 0 0 40px #b6e37b;
}
.btn02 {
	margin:120px auto;
    color: #fff;
    text-decoration: none;
    text-align: center;
    position: relative;
    z-index: 10;
    display: block;
    width: 10px;
    height: 10px;
	}
 
.btn02::before {
    content: '';
    background-color: #fff;
    display: block;
    position: absolute;
    width: 10px;
    height: 10px;
    z-index: -1;
    border-radius: 50%;
    box-shadow:
        0 0 0 0 #333,
        0 0 0 3 #55C6A4;
    transition: all .5s ease;
    -webkit-transition: all .2s ease;
	border:#666 1px solid;
}
.btn02:hover::before {
    transform: scale(0.8);
    -webkit-transform: scale(0.8);
    box-shadow:
        0 0 0 5px #fff,
		0 0 0 10px #fbefd8,
		0 0 0 15px #fae9c9,
        0 0 0 20px #f9e4bc,
		0 0 0 25px #f9e1b2,
		0 0 0 30px #f9dca5,
		0 0 0 35px #fbd999,
		0 0 0 40px #fcd68d;
}
.btn03 {
	margin:120px auto;
    color: #fff;
    text-decoration: none;
    text-align: center;
    position: relative;
    z-index: 10;
    display: block;
    width: 10px;
    height: 10px;
    }
 
.btn03::before {
    content: '';
    background-color: #fff;
    display: block;
    position: absolute;
    width: 10px;
    height: 10px;
    z-index: -1;
    border-radius: 50%;
    box-shadow:
        0 0 0 0 #333,
        0 0 0 3 #55C6A4;
    transition: all .5s ease;
    -webkit-transition: all .2s ease;
	border:#666 1px solid;
}
.btn03:hover::before {
    transform: scale(0.8);
    -webkit-transform: scale(0.8);
    box-shadow:
        0 0 0 5px #fff,
		0 0 0 10px #feeeed,
		0 0 0 15px #ffe5e4,
        0 0 0 20px #ffdbd9,
		0 0 0 25px #fdd0cd,
		0 0 0 30px #fec4c1,
		0 0 0 35px #f9bcb9,
		0 0 0 40px #ffaaa5;
}
/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::20160201追加*/

.heart {
	margin:0 auto;
	padding:0;
	text-align:center;
  width: 100px;
  height: 100px;
  transform: translate(-50%, -50%);
  background: url(https://cssanimation.rocks/images/posts/steps/heart.png) no-repeat;
  background-position: 0 0;
  cursor: pointer;
  animation: fave-heart 1s steps(28);
}
.heart:hover {
  background-position: -2800px 0;
  transition: background 1s steps(28);
}
	
@keyframes fave-heart {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -2800px 0;
  }
}

























